## oxigraph 0.3.22

=== debian/changelog ===
oxigraph (0.3.22-12) unstable; urgency=medium

  * add patch cherry-picked upstream to use RocksDB multi-columns flush

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Feb 2024 01:55:01 +0100

oxigraph (0.3.22-11) unstable; urgency=medium

  * add patch 2007 to avoid benches;
    stop build- or autopkgtest-depend on packages
    for crates criterion zstd
  * fix build- and autopkgtest-depend on package for crate is-terminal

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 03:01:05 +0100

oxigraph (0.3.22-10) unstable; urgency=medium

  * fix patch 2002 to enable pkg-config for crate oxrocksdb-sys
    (not dependent crates)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jan 2024 13:51:28 +0100

oxigraph (0.3.22-9) unstable; urgency=medium

  * build-depend unconditionally on test-only build-dependencies
    (needed by cargo install)
  * update patch 1001_clap;
    relax build-dependency for crate clap-lex;
    closes: bug#1060762, thanks to Peter Green
  * skip test test_backward_compatibility also for autopkgtest,
    and add internal note
    that it fails due to requiring write access to hardcoded patch

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jan 2024 10:20:15 +0100

oxigraph (0.3.22-8) unstable; urgency=medium

  * autopkgtest-depend on package for crate cc

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Jan 2024 23:15:15 +0100

oxigraph (0.3.22-7) unstable; urgency=medium

  * shorten autopkgtest test names
  * tighten build- and autopkgtest-dependencies for crate zstd
  * skip autopkgtest tests unsupported in Debian

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 22 Jan 2024 02:33:07 +0100

oxigraph (0.3.22-6) unstable; urgency=medium

  * have librust-oxrocksdb-sys-dev depend on librocksdb-dev
  * provide and autpkgtest feature pkg-config;
    (build-)depend on package for crate pkg-config
  * autpkgtest-depend on package for crate criterion

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jan 2024 11:31:41 +0100

oxigraph (0.3.22-5) unstable; urgency=medium

  * revive temporary bypass of dh-cargo-built-using script;
    closes: bug#1061186, thanks to Jeremy Bícha
  * stop builddepend on packages for crate pyo3

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jan 2024 19:05:21 +0100

oxigraph (0.3.22-4) unstable; urgency=medium

  * add patch 1001_escargot
    to accept newer releases of crate escargot,
    superseding 2001_escargot;
    build-depend on package for crate escargot
  * extend patch 2001_wasm32
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Jan 2024 08:08:03 +0100

oxigraph (0.3.22-3) unstable; urgency=medium

  * tighten resolving binary package versions
  * update patches
  * tolerate test failures for architectures armel armhf arm64

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 13:11:38 +0100

oxigraph (0.3.22-2) unstable; urgency=medium

  * resolve Built-Using and X-Cargo-Built-Using
    for binary package oxigraph
  * provide and autpkgtest oxrdf feature oxsdatatypes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Dec 2023 21:23:21 +0100

oxigraph (0.3.22-1) unstable; urgency=medium

  * drop patch 1001_cc, obsoleted by upstream changes
  * relax build- and autopkgtest-dependency for crate bindgen;
    relax (build-)dependency for crate siphash
  * bump project versions in virtual packages and autopkgtests
  * unfuzz patches;
    update DEP-3 headers
  * add patch 1004
    to use system call getrlimit64()
  * temporarily bypass seemingly broken dh-cargo-built-using script

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Dec 2023 16:08:58 +0100

oxigraph (0.3.21-2) unstable; urgency=medium

  * simplify build-time tesing,
    thanks to updated patch 2001_escargot
  * generate manpage only in arch-dependent builds
  * add patch 1003 to use crate portable-atomic;
    (build-)depend on package for crate portable-atomic

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 10:43:10 +0100

oxigraph (0.3.21-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * fix patch 2001_escargot
  * bump project versions in virtual packages and autopkgtests
  * skip a failing test, and simplify test skipping logic

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Nov 2023 22:55:11 +0100

oxigraph (0.3.20-2) unstable; urgency=medium

  * add patches 1001_* to accept newer releases of crates
    assert_cmd assert_fs predicate predicate-core predicates-tree
  * unfuzz patch 2001_escargot
  * add patch 2002 to use system-shared rocksdb by default;
    simplify build rules
  * install executable below /usr/bin (not /usr/sbin)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 14:53:14 +0100

oxigraph (0.3.20-1) experimental; urgency=low

  * initial Release;
    closes: bug#996504

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2023 23:56:51 +0200
