=== debian/control ===
Source: oxigraph
Section: web
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
 help2man <!nodoc>,
 librocksdb-dev,
 librust-anyhow-1+default-dev,
 librust-assert-cmd-2+default-dev,
 librust-assert-fs-1+default-dev,
 librust-bindgen-0.66-dev (<< 0.70),
 librust-cc-1+default-dev,
 librust-cc-1+parallel-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-lex-dev (<< 0.7),
 librust-console-error-panic-hook-0.1+default-dev,
 librust-digest-0.10+default-dev,
 librust-escargot-0.5+default-dev,
 librust-flate2-1+default-dev,
 librust-hex-0.4+default-dev,
 librust-is-terminal-0.4+default-dev,
 librust-json-event-parser-0.1+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-md-5-0.10+default-dev,
 librust-nom-7+default-dev,
 librust-oxhttp-0.1+default-dev,
 librust-oxhttp-0.1+rayon-dev,
 librust-oxhttp-0.1+rustls-dev,
 librust-oxilangtag-0.1+default-dev,
 librust-oxiri-0.2+default-dev,
 librust-peg-0.8+default-dev,
 librust-pkg-config-0.3+default-dev,
 librust-portable-atomic-1+default-dev,
 librust-quick-xml-0.27+default-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-rio-api-0.8+default-dev,
 librust-rio-turtle-0.8+default-dev,
 librust-rio-xml-0.8+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sha2-0.10+default-dev,
 librust-siphasher-dev (<< 2),
 librust-url-2+default-dev,
 libstring-shellquote-perl,
 python3-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/oxigraph/oxigraph
Vcs-Git: https://salsa.debian.org/debian/oxigraph.git
Vcs-Browser: https://salsa.debian.org/debian/oxigraph
Rules-Requires-Root: no

Package: oxigraph-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${cargo:Built-Using},
XB-X-Cargo-Built-Using:
 ${cargo:X-Cargo-Built-Using},
Description: SPARQL server based on Oxigraph graph database
 Oxigraph Server is a standalone HTTP server
 providing a graph database
 implementing the SPARQL 1.1 Protocol
 and SPARQL 1.1 Graph Store Protocol standards.
 .
 SPARQL is an RDF query language -
 that is, a semantic query language for databases -
 able to retrieve and manipulate data
 stored in Resource Description Framework (RDF) format.
 .
 Resource Description Framework (RDF) is a standard model
 for data interchange on the Web.

Package: librust-oxrdf-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-oxilangtag-0.1+default-dev,
 librust-oxiri-0.2+default-dev,
 librust-oxsdatatypes-0.1+default-dev,
 librust-rand-0.8+default-dev,
 ${misc:Depends},
Provides:
 librust-oxrdf-0-dev (= ${oxrdf:Version}),
 librust-oxrdf-0.1+default-dev (= ${oxrdf:Version}),
 librust-oxrdf-0.1+oxsdatatypes-dev (= ${oxrdf:Version}),
 librust-oxrdf-0.1+rdf-star-dev (= ${oxrdf:Version}),
 librust-oxrdf-0.1-dev (= ${oxrdf:Version}),
 librust-oxrdf-0.1.7-dev (= ${oxrdf:Version}),
Description: basic data structures related to RDF - Rust source code
 OxRDF is a simple library
 providing datastructures encoding RDF 1.1 concepts.
 It is intended to be a basic building block
 of other crates like Oxigraph or Spargebra.
 .
 This package contains the source for the Rust crate oxrdf,
 for use with cargo and dh-cargo.

Package: librust-oxsdatatypes-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 librust-oxsdatatypes-0-dev (= ${oxsdatatypes:Version}),
 librust-oxsdatatypes-0.1+default-dev (= ${oxsdatatypes:Version}),
 librust-oxsdatatypes-0.1-dev (= ${oxsdatatypes:Version}),
 librust-oxsdatatypes-0.1.3-dev (= ${oxsdatatypes:Version}),
Description: some XSD datatypes for SPARQL implementations - Rust source code
 oxsdatatypes is an implementation
 of some XML Schema Definition Language Datatypes.
 Its main aim is to ease the implementation of SPARQL and XPath.
 .
 This package contains the source for the Rust crate oxsdatatypes,
 for use with cargo and dh-cargo.

Package: librust-sparesults-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-json-event-parser-0.1+default-dev,
 librust-oxrdf-0.1+default-dev,
 librust-quick-xml-0.27+default-dev,
 ${misc:Depends},
Provides:
 librust-sparesults-0-dev (= ${sparesults:Version}),
 librust-sparesults-0.1+default-dev (= ${sparesults:Version}),
 librust-sparesults-0.1+rdf-star-dev (= ${sparesults:Version}),
 librust-sparesults-0.1-dev (= ${sparesults:Version}),
 librust-sparesults-0.1.8-dev (= ${sparesults:Version}),
Description: basic data structures related to RDF - Rust source code
 Sparesults is a set of parsers and serializers
 for SPARQL query results formats.
 It is intended to be a building piece
 for SPARQL client and server implementations in Rust like Oxigraph.
 .
 It supports SPARQL Query Results XML Format (Second Edition),
 SPARQL 1.1 Query Results JSON Format
 and SPARQL 1.1 Query Results CSV and TSV Formats.
 Support for SPARQL-star is also available behind the rdf-star feature.
 .
 This package contains the source for the Rust crate sparesults,
 for use with cargo and dh-cargo.

Package: librust-spargebra-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-oxilangtag-0.1+default-dev,
 librust-oxiri-0.2+default-dev,
 librust-oxrdf-0.1+default-dev,
 librust-peg-0.8+default-dev,
 librust-rand-0.8+default-dev,
 ${misc:Depends},
Provides:
 librust-spargebra-0-dev (= ${spargebra:Version}),
 librust-spargebra-0.2+default-dev (= ${spargebra:Version}),
 librust-spargebra-0.2+rdf-star-dev (= ${spargebra:Version}),
 librust-spargebra-0.2+sep-0002-dev (= ${spargebra:Version}),
 librust-spargebra-0.2+sep-0006-dev (= ${spargebra:Version}),
 librust-spargebra-0.2-dev (= ${spargebra:Version}),
 librust-spargebra-0.2.8-dev (= ${spargebra:Version}),
Description: SPARQL parser - Rust source code
 Spargebra is a SPARQL parser.
 It supports both SPARQL 1.1 Query and SPARQL 1.1 Update.
 This crate is intended to be a building piece
 for SPARQL implementations in Rust like Oxigraph.
 .
 Support for SPARQL-star is also available behind the rdf-star feature.
 .
 This package contains the source for the Rust crate spargebra,
 for use with cargo and dh-cargo.

Package: librust-oxigraph-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-digest-0.10+default-dev,
 librust-hex-0.4+default-dev,
 librust-json-event-parser-0.1+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-md-5-0.10+default-dev,
 librust-oxhttp-0.1+default-dev,
 librust-oxilangtag-0.1+default-dev,
 librust-oxiri-0.2+default-dev,
 librust-oxrdf-0.1+default-dev,
 librust-oxrdf-0.1+oxsdatatypes-dev,
 librust-oxrdf-0.1+rdf-star-dev,
 librust-oxrocksdb-sys-0.3+default-dev,
 librust-oxsdatatypes-0.1+default-dev,
 librust-portable-atomic-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-regex-1+default-dev,
 librust-rio-api-0.8+default-dev,
 librust-rio-turtle-0.8+default-dev,
 librust-rio-xml-0.8+default-dev,
 librust-sha1-0.10+default-dev,
 librust-sha2-0.10+default-dev,
 librust-siphasher-dev (<< 2),
 librust-sparesults-0.1+default-dev,
 librust-sparesults-0.1+rdf-star-dev,
 librust-spargebra-0.2+default-dev,
 librust-spargebra-0.2+rdf-star-dev,
 librust-spargebra-0.2+sep-0002-dev,
 librust-spargebra-0.2+sep-0006-dev,
 ${misc:Depends},
Provides:
 librust-oxigraph-0-dev (= ${oxigraph:Version}),
 librust-oxigraph-0.3+default-dev (= ${oxigraph:Version}),
 librust-oxigraph-0.3+http-client-dev (= ${oxigraph:Version}),
 librust-oxigraph-0.3+rocksdb-debug-dev (= ${oxigraph:Version}),
 librust-oxigraph-0.3-dev (= ${oxigraph:Version}),
 librust-oxigraph-0.3.22-dev (= ${oxigraph:Version}),
Description: SPARQL database and RDF toolkit - Rust source code
 Oxigraph is a graph database library
 implementing the SPARQL standard.
 Its goal is to provide a compliant, safe
 and fast on-disk graph database.
 It also provides a set of utility functions
 for reading, writing, and processing RDF files.
 .
 Oxigraph implements the following specifications:
  * SPARQL 1.1 Query, SPARQL 1.1 Update, and SPARQL 1.1 Federated Query.
  * Turtle, TriG, N-Triples, N-Quads, and RDF XML
    RDF serialization formats for both data ingestion and retrieval
    using the Rio library.
  * SPARQL Query Results XML Format,
    SPARQL 1.1 Query Results JSON Format
    and [SPARQL 1.1 Query Results CSV and TSV Formats.
 .
 This package contains the source for the Rust crate oxigraph,
 for use with cargo and dh-cargo.

Package: librust-oxrocksdb-sys-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librocksdb-dev,
 librust-pkg-config-0.3+default-dev,
 librust-libc-0.2+default-dev,
 ${misc:Depends},
Provides:
 librust-oxrocksdb-sys-0-dev (= ${oxrocksdb-sys:Version}),
 librust-oxrocksdb-sys-0.3+default-dev (= ${oxrocksdb-sys:Version}),
 librust-oxrocksdb-sys-0.3+pkg-config-dev (= ${oxrocksdb-sys:Version}),
 librust-oxrocksdb-sys-0.3-dev (= ${oxrocksdb-sys:Version}),
 librust-oxrocksdb-sys-0.3.22-dev (= ${oxrocksdb-sys:Version}),
Description: Rust bindings for RocksDB for Oxigraph - Rust source code
 oxrocksdb-sys provides RocksDB bindings for Oxigraph.
 .
 Oxigraph is a graph database library
 implementing the SPARQL standard.
 .
 This package contains the source for the Rust crate oxrocksdb-sys,
 for use with cargo and dh-cargo.
