=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION DEB_VERSION_UPSTREAM DEB_VERSION_UPSTREAM_REVISION DEB_DISTRIBUTION
include /usr/share/dpkg/pkg-info.mk

# resolve if release is experimental
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
MANPAGES = debian/oxigraph_server.1
endif

# use local fork of dh-cargo and cargo wrapper
PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
export PATH PERL5LIB

# resolve crate version
# * append package version if upstream part and crate version differ
crate_version = \
 $(shell perl -n \
 -E '/version\W+\K[^"]+/ and $$_ = $$& =~ s/-PRE/~pre/r ' \
 -E 'and say $$_ eq "$(DEB_VERSION_UPSTREAM)" ? "$(DEB_VERSION)" : "$$_+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
 $1/Cargo.toml)

# tests are seemingly too exhaustive for some architectures
ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf arm64))
TOLERATE_TEST_FAILURE = 1
endif

# tests require write access to hardcoded path <tests/rocksdb_bc_data>
TEST_BROKEN = \
 test_backward_compatibility

%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	$(if $(DEB_SUITE_EXP)$(TOLERATE_TEST_FAILURE),\
		dh_auto_test -- -- $(addprefix --skip ,$(TEST_BROKEN)) || true,\
		dh_auto_test -- -- $(addprefix --skip ,$(TEST_BROKEN)))

override_dh_auto_install:
	dh_auto_install -Xoxrocksdb-sys

execute_after_dh_auto_install-arch: $(MANPAGES)

override_dh_dwz:

# declare version for virtually provided embedded crate
override_dh_gencontrol:
	dh_gencontrol -- \
	 -V'oxrdf:Version=$(call crate_version,lib/oxrdf)' \
	 -V'oxsdatatypes:Version=$(call crate_version,lib/oxsdatatypes)' \
	 -V'sparesults:Version=$(call crate_version,lib/sparesults)' \
	 -V'spargebra:Version=$(call crate_version,lib/spargebra)' \
	 -V'oxigraph:Version=$(call crate_version,lib)' \
	 -V'oxrocksdb-sys:Version=$(call crate_version,oxrocksdb-sys)'

# build manpage
debian/oxigraph_server.1: debian/%.1: debian/oxigraph-server/usr/bin/%
	mkdir --parents $(dir $@)
	help2man --section 1 --no-info \
		--name "SPARQL server based on Oxigraph graph database" \
		--output $@ $< \
		|| { $1 --help; false; }
