=== debian/tests/control ===
# crate oxigraph marked flaky for architectures armel armhf arm64
# due to seemingly exhausting memory on those architectures

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.1.7
 --all-targets --all-features
Features: test-name=rust-oxrdf:@
Depends:
 dh-cargo,
 librust-oxrdf-0.1-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.1.7
 --all-targets --no-default-features
Features: test-name=rust-oxrdf:
Depends:
 dh-cargo,
 librust-oxrdf-0.1-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.1.7
 --all-targets
Features: test-name=rust-oxrdf:default
Depends:
 dh-cargo,
 librust-oxrdf-0.1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.1.7
 --all-targets --no-default-features --features oxsdatatypes
Features: test-name=rust-oxrdf:oxsdatatypes
Depends:
 dh-cargo,
 librust-oxrdf-0.1+oxsdatatypes-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.1.7
 --all-targets --no-default-features --features rdf-star
Features: test-name=rust-oxrdf:rdf-star
Depends:
 dh-cargo,
 librust-oxrdf-0.1+rdf-star-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxsdatatypes 0.1.3
 --all-targets --all-features
Features: test-name=rust-oxsdatatypes:@
Depends:
 dh-cargo,
 librust-oxsdatatypes-0.1-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxsdatatypes 0.1.3
 --all-targets --no-default-features
Features: test-name=rust-oxsdatatypes:
Depends:
 dh-cargo,
 librust-oxsdatatypes-0.1-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxsdatatypes 0.1.3
 --all-targets
Features: test-name=rust-oxsdatatypes:default
Depends:
 dh-cargo,
 librust-oxsdatatypes-0.1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test sparesults 0.1.8
 --all-targets --all-features
Features: test-name=rust-sparesults:@
Depends:
 dh-cargo,
 librust-sparesults-0.1-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test sparesults 0.1.8
 --all-targets --no-default-features
Features: test-name=rust-sparesults:
Depends:
 dh-cargo,
 librust-sparesults-0.1-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test sparesults 0.1.8
 --all-targets
Features: test-name=rust-sparesults:default
Depends:
 dh-cargo,
 librust-sparesults-0.1+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test sparesults 0.1.8
 --all-targets --no-default-features --features rdf-star
Features: test-name=rust-sparesults:rdf-star
Depends:
 dh-cargo,
 librust-sparesults-0.1+rdf-star-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test spargebra 0.2.8
 --all-targets --all-features
Features: test-name=rust-spargebra:@
Depends:
 dh-cargo,
 librust-spargebra-0.2-dev,
Restrictions: allow-stderr
