## oxigraph 0.4.0~alpha7

=== debian/changelog ===
oxigraph (0.4.0~alpha7-5) unstable; urgency=medium

  * fix resolve and apply mangled package versions

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 10:20:22 +0200

oxigraph (0.4.0~alpha7-4) unstable; urgency=medium

  * fix strip prerelease suffix from computed dependencies
  * skip test that panicks on i386

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 00:10:24 +0200

oxigraph (0.4.0~alpha7-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to avoid AtomicU64 unsupported on armel
  * skip tests that expects linking against RocksDB 8.x

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jul 2024 20:04:26 +0200

oxigraph (0.4.0~alpha7-2) experimental; urgency=medium

  * update dh-cargo fork
  * fix provide crates without prerelease suffix
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 08:27:15 +0200

oxigraph (0.4.0~alpha7-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * (build-)depend on packages for crates dashmap rustc-hash;
    stop (build-)depend on package for crate escargot
  * fix and bump project versions in virtual packages and autopkgtests
  * unfuzz patches
  * add patch 2009
    to reference not-in-Debian YASGUI instead of vendoring it
  * update man page description

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2024 13:37:14 +0200

oxigraph (0.4.0~alpha6-1) experimental; urgency=medium

  [ upstream ]
  * new pre-release

  [ Jonas Smedegaard ]
  * update watch file: handle prereleases
  * update git-buildpackage config:
    + use branches debian/latest upstream-latest
  * drop patches obsoleted by upstream changes
  * update patches
  * update copyright info:
    + update coverage
    + fix file path
    + fix coverage of embedded serd testsuite
  * bump project versions in virtual packages and autopkgtests
  * fix explicitly build-depend on package for crate rayon-core
    (previously pulled in by crate oxhttp)
  * provide binary package oxigraph (not oxigraph-server)
  * update DEP-3 headers
  * tighten (build-)dependencies for crates oxhttp oxiri
  * mention TODOs about skipped tests and omitted crate oxigraph_js
  * simplify same-source package dependencies
  * declare compliance with Debian Policy 4.7.0
  * declare Static-Build-Using (not XB-X-Cargo-Built-Using)
  * fix set section rust, except package oxigraph
  * bump (build-)dependencies for crates json-event-parser quick-xml
  * (build-)depend on package for crate thiserror
  * add patch 2008
    to avoid not-in-Debian oxhttp feature rustls-webpki-roots
  * update dh-cargo fork;
    closes: bug#1064197, thanks to Sebastian Ramacher
  * generalize prerelease version suffix mangling
  * update crate paths for version resolving
  * provide virtual packages for and autopkgtest
    crates oxrdfio oxrdfxml oxttl sparopt

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jul 2024 12:16:01 +0200
