=== debian/tests/control ===
# crate oxigraph marked flaky for architectures armel armhf arm64
# due to seemingly exhausting memory on those architectures

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.2.0-alpha.5
 --all-targets --all-features
 --no-fail-fast --
 --skip blank_node::tests::test_size_and_alignment
Features: test-name=rust-oxrdf:@
Depends:
 dh-cargo,
 librust-oxrdf-0.2-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.2.0-alpha.5
 --all-targets --no-default-features
 --no-fail-fast --
 --skip blank_node::tests::test_size_and_alignment
Features: test-name=rust-oxrdf:
Depends:
 dh-cargo,
 librust-oxrdf-0.2-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.2.0-alpha.5
 --all-targets
 --no-fail-fast --
 --skip blank_node::tests::test_size_and_alignment
Features: test-name=rust-oxrdf:default
Depends:
 dh-cargo,
 librust-oxrdf-0.2+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.2.0-alpha.5
 --all-targets --no-default-features --features oxsdatatypes
 --no-fail-fast --
 --skip blank_node::tests::test_size_and_alignment
Features: test-name=rust-oxrdf:oxsdatatypes
Depends:
 dh-cargo,
 librust-oxrdf-0.2+oxsdatatypes-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdf 0.2.0-alpha.5
 --all-targets --no-default-features --features rdf-star
 --no-fail-fast --
 --skip blank_node::tests::test_size_and_alignment
Features: test-name=rust-oxrdf:rdf-star
Depends:
 dh-cargo,
 librust-oxrdf-0.2+rdf-star-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdfio 0.1.0-alpha.6
 --all-targets --all-features
Features: test-name=rust-oxrdfio:@
Depends:
 dh-cargo,
 librust-oxrdfio-0.1-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdfio 0.1.0-alpha.6
 --all-targets --no-default-features
Features: test-name=rust-oxrdfio:
Depends:
 dh-cargo,
 librust-oxrdfio-0.1-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdfio 0.1.0-alpha.6
 --all-targets
Features: test-name=rust-oxrdfio:default
Depends:
 dh-cargo,
 librust-oxrdfio-0.1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdfio 0.1.0-alpha.6
 --all-targets --no-default-features --features async-tokio
Features: test-name=rust-oxrdfio:async-tokio
Depends:
 dh-cargo,
 librust-oxrdfio-0.1+async-tokio-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test oxrdfxml 0.1.0-alpha.6
 --all-targets --all-features
Features: test-name=rust-oxrdfxml:@
Depends:
 dh-cargo,
 librust-oxrdfxml-0.1-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Restrictions: allow-stderr
